Results 1 to 3 of 3

Thread: Kali Android Rootless upgrade issues.

  1. #1
    Join Date
    2021-Apr
    Posts
    1

    Kali Android Rootless upgrade issues.

    Hello , sorry if the post is wrong but i don't know what to do i searched for a solution but i don't find it anywhere , somebody with knowledge can help me?
    I tried to upgrade in termux also in vnc the kali Rootless version and it faces me some errors all the time and it looks like this:
    apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
    libcapstone3 libgps26 libjs-sizzle libllvm10
    libmicrohttpd12 libperl5.30 libplymouth4
    libpython3.8 libpython3.8-dev libpython3.8-minimal
    libpython3.8-stdlib libsane libwireshark13
    libwiretap10 libwsutil11 libxcb-util0 node-jquery
    perl-modules-5.30 python3.8 python3.8-dev
    python3.8-minimal qt5-gtk2-platformtheme
    ruby-connection-pool ruby-molinillo
    ruby-net-http-persistent ruby-thor
    Use 'sudo apt autoremove' to remove them.
    The following packages will be upgraded:
    postgresql-13
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 0 B/14.7 MB of archives.
    After this operation, 106 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Preconfiguring packages ...
    (Reading database ... 316564 files and directories currently installed.)
    Preparing to unpack .../postgresql-13_13.2-1_arm64.deb ...
    invoke-rc.d: could not determine current runlevel
    Stopping PostgreSQL 13 database server: mainError: Data directory /var/lib/postgresql/13/main must not be owned by root ... failed!
    failed!
    invoke-rc.d: initscript postgresql, action "stop" failed.
    dpkg: warning: old postgresql-13 package pre-removal script subprocess returned error exit status 1
    dpkg: trying script from the new package instead ...
    invoke-rc.d: could not determine current runlevel
    Stopping PostgreSQL 13 database server: mainError: Data directory /var/lib/postgresql/13/main must not be owned by root ... failed!
    failed!
    invoke-rc.d: initscript postgresql, action "stop" failed.
    dpkg: error processing archive /var/cache/apt/archives/postgresql-13_13.2-1_arm64.deb (--unpack):
    new postgresql-13 package pre-removal script subprocess returned error exit status 1
    Errors were encountered while processing:
    /var/cache/apt/archives/postgresql-13_13.2-1_arm64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  2. #2
    Join Date
    2022-Mar
    Posts
    1

    Exclamation

    Quote Originally Posted by sevrajxt View Post
    Hello , sorry if the post is wrong but i don't know what to do i searched for a solution but i don't find it anywhere , somebody with knowledge can help me?
    I tried to upgrade in termux also in vnc the kali Rootless version and it faces me some errors all the time and it looks like this:
    apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
    libcapstone3 libgps26 libjs-sizzle libllvm10
    libmicrohttpd12 libperl5.30 libplymouth4
    libpython3.8 libpython3.8-dev libpython3.8-minimal
    libpython3.8-stdlib libsane libwireshark13
    libwiretap10 libwsutil11 libxcb-util0 node-jquery
    perl-modules-5.30 python3.8 python3.8-dev
    python3.8-minimal qt5-gtk2-platformtheme
    ruby-connection-pool ruby-molinillo
    ruby-net-http-persistent ruby-thor
    Use 'sudo apt autoremove' to remove them.
    The following packages will be upgraded:
    postgresql-13
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 0 B/14.7 MB of archives.
    After this operation, 106 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Preconfiguring packages ...
    (Reading database ... 316564 files and directories currently installed.)
    Preparing to unpack .../postgresql-13_13.2-1_arm64.deb ...
    invoke-rc.d: could not determine current runlevel
    Stopping PostgreSQL 13 database server: mainError: Data directory /var/lib/postgresql/13/main must not be owned by root ... failed!
    failed!
    invoke-rc.d: initscript postgresql, action "stop" failed.
    dpkg: warning: old postgresql-13 package pre-removal script subprocess returned error exit status 1
    dpkg: trying script from the new package instead ...
    invoke-rc.d: could not determine current runlevel
    Stopping PostgreSQL 13 database server: mainError: Data directory /var/lib/postgresql/13/main must not be owned by root ... failed!
    failed!
    invoke-rc.d: initscript postgresql, action "stop" failed.
    dpkg: error processing archive /var/cache/apt/archives/postgresql-13_13.2-1_arm64.deb (--unpack):
    new postgresql-13 package pre-removal script subprocess returned error exit status 1
    Errors were encountered while processing:
    /var/cache/apt/archives/postgresql-13_13.2-1_arm64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I am seeing the same error, except it is postgresql-14_14.2-1_arm64.deb.
    Can anyone help?

  3. #3
    Join Date
    2021-May
    Location
    UK
    Posts
    782
    sudo apt update && sudo apt full-upgrade -y


    Now run this, you HAVE to run these together or it will not work:

    rm -rf /var/lib/dpkg/info/postgresql* && dpkg --configure -a


    You then need to run this again to upgrade the package

    sudo apt update && sudo apt full-upgrade -y

Similar Threads

  1. Replies: 0
    Last Post: 2023-06-25, 11:11
  2. Replies: 0
    Last Post: 2023-01-22, 10:01
  3. Nethunter rootless not working after upgrade
    By Sajjad hossan in forum Installing NetHunter
    Replies: 0
    Last Post: 2021-12-12, 10:50
  4. Trying to Install Kali NetHunter Rootless on Nokia 7.1 Android Phone
    By richardstevenhack in forum Installing NetHunter
    Replies: 0
    Last Post: 2020-11-25, 09:43
  5. Replies: 0
    Last Post: 2014-01-01, 17:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •